package pl8.extractor;

public class Tile {

	private int width;
	private int height;
	private int offset;
	private int x;
	private int y;
	private int extraType;
	private int extraRows;
	private byte bitmap[];

	public Tile(int width, int height, int offset) {
		this.width = width;
		this.height = height;
		this.offset = offset;
	}

	public Tile(int width, int height, int offset, int x, int y, int extraType, int extraRows) {
		this.width = width;
		this.height = height;
		this.offset = offset;
		this.x = x;
		this.y = y;
		this.extraType = extraType;
		this.extraRows = extraRows;
	}

	public void setWidth(int width) {
		this.width = width;
	}

	public int getWidth() {
		return width;
	}

	public void setHeight(int height) {
		this.height = height;
	}

	public int getHeight() {
		return height;
	}

	public void setOffset(int offset) {
		this.offset = offset;
	}

	public int getOffset() {
		return offset;
	}

	public int getX() {
		return x;
	}
	public void setX(int x) {
		this.x = x;
	}

	public int getY() {
		return y;
	}

	public void setY(int y) {
		this.y = y;
	}

	public int getExtraType() {
		return extraType;
	}

	public void setExtraType(int extraType) {
		this.extraType = extraType;
	}

	public int getExtraRows() {
		return extraRows;
	}

	public void setExtraRows(int extraRows) {
		this.extraRows = extraRows;
	}

	public void setBitmap(byte bitmap[]) {
		this.bitmap = bitmap;
	}
	
	public byte[] getBitmap() {
		return bitmap;
	}
}